Win7 SP2 for DX11?

#1 Posted by Wuddel (2100 posts) -

All of a sudden my Civ5 launcher greys out the DX11 option and advises me to install Windows 7 SP2? Thats not even out, right?

#2 Posted by Azteck (7449 posts) -

I.. don't think so? I don't really keep up to date but I haven't heard a thing about it.

#3 Posted by mfpantst (2574 posts) -

here's a linky:
 http://forums.2kgames.com/showthread.php?100178-civ-v-requires-service-pack-2-or-greater-after-patch

looks like maybe using the launcher from steam doesn't work quite right?  I set it up so the dx11 game is a shortcut on my desktop instead of using the launcher chooser and have not ever had this issue.

#4 Posted by mfpantst (2574 posts) -

This edit will also create new pages on Giant Bomb for:

Beware, you are proposing to add brand new pages to the wiki along with your edits. Make sure this is what you intended. This will likely increase the time it takes for your changes to go live.

Comment and Save

Until you earn 1000 points all your submissions need to be vetted by other Giant Bomb users. This process takes no more than a few hours and we'll send you an email once approved.